Bug 588023 - Clicking on email addresses no longer opens composer window
Clicking on email addresses no longer opens composer window
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 05:21 EDT by Christoph Wickert
Modified: 2011-06-02 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 10:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 617419 None None None Never

  None (edit)
Description Christoph Wickert 2010-05-02 05:21:24 EDT
Description of problem:
Clicking on email addresses in evolution no longer in F13/evolution 2.30.0 if you are not using the GNOME desktop but KDE, Xfce, LXDE, whatever.

Version-Release number of selected component (if applicable):
evolution-2.30.0-3.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. start evolution 2.30.0
2. click on an email address, ether in the header or the body of a mail
  
Actual results:
An error message appears: "Could not open the link. The specified location is not supported."

Expected results:
Composer window should be opened, not matter what desktop environment you are running.

Additional info:
Both Gnome and the other desktops are set to use evolution for composing email:
$ gconftool-2 -g /desktop/gnome/url-handlers/mailto/command
evolution --component=mail %s
$ cat ~/.config/xfce4/helpers.rc 
MailReader=evolution
$ cat ~/.config/libfm/pref-apps.conf 
[Preferred Applications]
WebBrowser=mozilla-firefox.desktop
MailClient=evolution.desktop
$ grep evolution ~/.kde/share/config/emaildefaults 
EmailClient[$e]=evolution %U

I can compose mail by clicking on an address in the Xfce Terminal or gnome-terminal. Everything works fine, it's just evolution that doesn't work.

I wonder if this is related to bug 525449. I thought evolution >= 2.28 was using gtk_show_uri to open URLs, has this changed again in 2.30?
Comment 1 Christoph Wickert 2010-05-02 05:26:46 EDT
Forwarded upstream as https://bugzilla.gnome.org/show_bug.cgi?id=617419
Comment 2 Matthew Barnes 2010-05-02 09:36:25 EDT
That error message usually means you don't have the GVFS daemon running.

We still use gtk_show_uri(), but that function simply forwards the request to GIO, and GIO relies on the GVFS daemon to process mailto URIs.
Comment 3 Christoph Wickert 2010-05-02 09:53:07 EDT
gvfs-daemon is running:

$ ps -A | grep gvfs
 3854 ?        00:00:00 gvfsd
 3874 ?        00:00:00 gvfs-fuse-daemo
 4023 ?        00:00:00 gvfs-gdu-volume
 4030 ?        00:00:00 gvfs-gphoto2-vo
 4032 ?        00:00:00 gvfs-afc-volume
 4162 ?        00:00:00 gvfsd-http
Comment 4 Christoph Wickert 2010-05-03 04:43:00 EDT
I just realized that it not only affects mailto links but also links to files.

http://people.ubuntu.com/~gilir/lubuntu-10.04.iso.torrent
http://people.ubuntu.com/~gilir/lubuntu-10.04.iso
both do not work but return an error message appears:

"Could not open the link.
No application is registered as handling this file"

Of course there are apps registered for iso or torrent files, I can open them locally just fine by clicking on them, even in nautilus running under Xfce. I can open them fro any other application but not from evolution.

URLs like http://people.ubuntu.com/~gilir/ however can be opened from evo.
Comment 5 Matthew Barnes 2010-05-08 10:27:19 EDT
Closing as NOTABUG since the issue is external to Evolution.
Comment 6 Christoph Wickert 2010-05-08 15:31:35 EDT
Please tell me the proper component so I can file a bug. Even better: Assign it to the correct component yourself. TIA!
Comment 7 Christoph Wickert 2011-03-25 07:23:40 EDT
Reopening to hopefully get the requested info.
Comment 8 Bug Zapper 2011-06-02 10:37:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Christoph Wickert 2011-06-02 10:42:54 EDT
Fixed in F14 and F15 while F13 is still broken.

Note You need to log in before you can comment on or make changes to this bug.